<template>
	<view class="home_index">
		<view class="home_content">
			<u-navbar
			    title="奖惩记录"
				bgColor="transparent"
				leftIconColor="#fff"
				titleStyle="text-align:left;width:100%;color:#fff;margin-left:40px;"
			    :autoBack="true">
			</u-navbar>
			<view class="home_top_bg"></view>
			<view class="notice_header">
				<view class="notice_header_num">{{numInit-recordLists[0].punishNum+recordLists[0].encourageNum}}</view>
				<view class="notice_header_title">安全积分</view>
			</view>
			<view class="record_main">
				<scroll-view
					scroll-y="true"
					class="record_index_scroll"
					:scroll-top="scrollTop" 
					refresher-enabled="true" 
					refresher-background="#EAEAEA"
					:refresher-triggered="triggered" 
					@refresherpulling="refresherrefresh"
					@scrolltolower="scrolltoLower">
					<u-collapse accordion :value="recordLists[0].id">
						<u-collapse-item :name="item.id" :title="timeNow" :label="`奖励${recordLists[0].encourage===null?0:recordLists[0].encourage}分，惩罚${recordLists[0].punish ===null?0:recordLists[0].encourage}分`" v-for="(item,index) in recordLists" :key="index">
							<view class="record_items" v-for="(itemTip,indexTip) in item.encourageRecordDtos.filter(item=>item.encourageName !==null)" :key="indexTip">
								<view class="record_items_left">
									<view class="record_items_left_text">{{itemTip.encourageName}}</view>
									<view class="record_items_left_time">{{itemTip.createTime}}</view>
								</view>
								<view :class="{'record_items_right1':itemTip.matterType === '2','record_items_right':itemTip.matterType === '1'}" class="">{{itemTip.matterType==='1'?'+'+itemTip.integral:itemTip.matterType==='2'?'-'+itemTip.integral:itemTip.integral}}</view>
							</view>
							<!-- <view class="record_item_emop" v-if="item.encourageRecordDtos.length ===0">
								暂无数据
							</view> -->
						</u-collapse-item>
					</u-collapse>
					<u-loadmore :status="status" :icon-type="iconType" :load-text="loadText" />
				</scroll-view>
			</view>
		</view>
	</view>
</template>

<script>
	import { throttle,changeYearTime } from '../../plugins/public.js';
	export default {
		data(){
			return{
				numInit:100,//初始值
				timeNow:changeYearTime(Number(new Date())),
				recordLists:[
					{	id:'1',
						title:'文档指南',
						tips:'奖励18分 惩罚15分',
						contentss:[
							{
								titles:'参加消防知识培训',
								time:'2023-04-05 10:12:31',
								nums:'+3'
							}
						]
					},
					{
						title:'组件全面',
						tips:'奖励18分 惩罚15分',
						contentss:[],
					}
				],//记录列表
				pageNum: 1,
				pageSize: 10,
				loadPage: 0,
				scrollTop: 0,
				triggered: true,
				status: 'loading',
				loadText: {
					loading: '努力加载中',
					nomore: '没有更多数据了'
				},
			}
		},
		onLoad() {
			this.searchRecordList()
		},
		methods:{
			//查询列表
			searchRecordList(){
				this.triggered = true;
				this.recordLists = [];
				this.$api.labourSystem.punishRecordLists({}).then(res=>{
					if(res.statusMsg === 'ok'){
						this.recordLists = [res.data]
						this.triggered = false;
						this.status = 'nomore';
					}else{
						uni.$u.toast(res.statusMsg);
					}
				}).catch((err) => {
					uni.$u.toast('请检查网络服务或联系管理员！')
				})
			},
			//自定义下拉刷新
			refresherrefresh: throttle(function() {
				this.status = 'loading';
				this.pageNum = 1;
				this.searchRecordList();
				uni.$u.toast('刷新成功');
			}, 500),
			//触底刷新
			scrolltoLower: throttle(function() {
				this.status = 'loading';
				this.pageNum = 1;
				this.searchRecordList();
			}, 1500),
		}
	}
</script>

<style scoped lang="scss">
	.home_index{
		background-color: #FFFFFF;
		width: 100%;
		height: 100vh;
		overflow: hidden;
		.home_content{
			position: relative;
			height: calc(100vh - 110rpx);
			.home_top_bg{
				background: url('https://pipe.thhy-tj.com/group1/M00/00/02/bx5d1GSihIGAcLm2AAH16Fc_aMk207.png') no-repeat;
				background-size: 100% 100%;
				height: 30vh;
				position: absolute;
				left: 0;
				top: 0;
				right: 0;
			}
			.notice_header{
				height: 148px;
				margin: 0px 15px;
				position: absolute;
				top: 50px;
				right: 0;
				left: 0;
				display: flex;
				justify-content: center;
				align-items: center;
				flex-direction: column;
				
				.notice_header_num{
					color: #FFFFFF;
					font-size: 44px;
				}
				.notice_header_title{
					font-size: 16px;
					color: #FFFFFF;
				}
			}
			.record_main{
				padding-top: 20px;
				overflow: auto;
				height: calc(100% - 176px);
				position: absolute;
				top: 220px;
				right: 0;
				left: 0;
				
				.record_index_scroll{
					height: 90%;
					
					.record_items{
						display: flex;
						justify-content: space-between;
						align-items: center;
						flex-direction: row;
						height: 65px;
						border-bottom: 1px solid #F3F3F3;
						
						.record_items_left{
							.record_items_left_text{
								color: #333333;
								font-size: 16px;
							}
							.record_items_left_time{
								margin-top: 5px;
								color: #999999;
								font-size: 12px;
							}
						}
						.record_items_right{
							color: #1977FF;
							font-size: 16px;
						}
						.record_items_right1{
							color: #999999;
							font-size: 16px;
						}
					}
					.record_item_emop{
						text-align: center;
						font-size: 16px;
						color: #999999;
					}
				}
			}
		}
	}
	::v-deep .u-collapse-item__content{
		// height: 100%!important;
	}
</style>